Debian Bug report logs - #315625
[Fixed in CVS HEAD for 1.5.3] irr function returns incorrect result on certain input

version graph

Package: gnumeric; Maintainer for gnumeric is Dmitry Smirnov <onlyjob@debian.org>; Source for gnumeric is src:gnumeric.

Reported by: Allan Wind <allan_wind@lifeintegrity.com>

Date: Fri, 24 Jun 2005 05:03:02 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version 1.5.1-1

Fixed in version gnumeric/1.5.3-1

Done: jdassen@debian.org (J.H.M. Dassen (Ray))

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#315625; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to Allan Wind <allan_wind@lifeintegrity.com>:
New Bug report received and forwarded. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Allan Wind <allan_wind@lifeintegrity.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnumeric: irr function returns incorrect result on certain input
Date: Fri, 24 Jun 2005 00:55:37 -0400
[Message part 1 (text/plain, inline)]
Package: gnumeric
Version: 1.5.1-1
Severity: normal

The irr function returns incorrect results with certain input.  Attached
a spreadsheet that shows the problem in cell b35:b41 (result should be
14.52%, 14.56%, 14.59%, 14.61%, 14.64% and 14.65%).

OpenOffice chokes on b2:b4, while gnumeric gives a result for b4.  Not
sure what the correct behavior is for those 3 cells.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11.11
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages gnumeric depends on:
ii  gconf2                2.8.1-6            GNOME configuration database syste
ii  gnumeric-common       1.5.1-1            common files for Gnumeric, the GNO
ii  gsfonts               8.14+v8.11+urw-0.2 Fonts for the Ghostscript interpre
ii  libart-2.0-2          2.3.17-1           Library of functions for 2D graphi
ii  libatk1.0-0           1.8.0-4            The ATK accessibility toolkit
ii  libbonobo2-0          2.8.1-2            Bonobo CORBA interfaces library
ii  libbonoboui2-0        2.8.1-2            The Bonobo UI library
ii  libc6                 2.3.2.ds1-22       GNU C Library: Shared libraries an
ii  libgconf2-4           2.8.1-6            GNOME configuration database syste
ii  libglade2-0           1:2.4.2-2          library to load .glade files at ru
ii  libglib2.0-0          2.6.4-1            The GLib library of C routines
ii  libgnome2-0           2.8.1-2            The GNOME 2 library - runtime file
ii  libgnomecanvas2-0     2.8.0-1            A powerful object-oriented display
ii  libgnomeprint2.2-0    2.8.2-1            The GNOME 2.2 print architecture -
ii  libgnomeprintui2.2-0  2.8.2-2            GNOME 2.2 print architecture User 
ii  libgnomeui-0          2.8.1-3            The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0        2.8.4-4            The GNOME virtual file-system libr
ii  libgoffice-1          0.0.1-2            Document centric objects library -
ii  libgsf-1              1.12.0-1           Structured File Library - runtime 
ii  libgsf-gnome-1        1.12.0-1           Structured File Library - runtime 
ii  libgtk2.0-0           2.6.4-3            The GTK+ graphical user interface 
ii  libice6               4.3.0.dfsg.1-14    Inter-Client Exchange library
ii  liborbit2             1:2.12.2-1         libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0         1.8.1-1            Layout and rendering of internatio
ii  libpopt0              1.7-5              lib for parsing cmdline parameters
ii  libsm6                4.3.0.dfsg.1-14    X Window System Session Management
ii  libxml2               2.6.16-7           GNOME XML library
ii  xlibs                 4.3.0.dfsg.1-14    X Keyboard Extension (XKB) configu
ii  zlib1g                1:1.2.2-4          compression library - runtime

-- no debconf information
[irr.gnumeric (application/x-gnumeric, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#315625; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to 315625@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #10 received at 315625@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <jdassen@debian.org>
To: control@bugs.debian.org
Cc: Allan Wind <allan_wind@lifeintegrity.com>, 315625@bugs.debian.org
Subject: Re: Bug#315625: gnumeric: irr function returns incorrect result on certain input
Date: Mon, 27 Jun 2005 17:54:23 +0200
tags 315625 + upstream fixed upstream
retitle 315625 [Fixed in CVS HEAD for 1.5.3] irr function returns incorrect result on certain input
thanks

[17:46] <@gmorten> JHM: IRR is fixed in cvs.
-- 
Personally, I guess I'd favor a sort of modified form of medieval justice.
The idea is that you throw the lawyers for both parties into a pond. The
person whose lawyer sinks would be declared the winner.
	Rob Kleinschmidt 



Tags added: upstream, fixed, upstream Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to jdassen@debian.org (J.H.M. Dassen (Ray)):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Allan Wind <allan_wind@lifeintegrity.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 315625-close@bugs.debian.org (full text, mbox):

From: jdassen@debian.org (J.H.M. Dassen (Ray))
To: 315625-close@bugs.debian.org
Subject: Bug#315625: fixed in gnumeric 1.5.3-1
Date: Thu, 18 Aug 2005 02:17:07 -0700
Source: gnumeric
Source-Version: 1.5.3-1

We believe that the bug you reported is fixed in the latest version of
gnumeric, which is due to be installed in the Debian FTP archive:

gnumeric-common_1.5.3-1_all.deb
  to pool/main/g/gnumeric/gnumeric-common_1.5.3-1_all.deb
gnumeric-doc_1.5.3-1_all.deb
  to pool/main/g/gnumeric/gnumeric-doc_1.5.3-1_all.deb
gnumeric-plugins-extra_1.5.3-1_i386.deb
  to pool/main/g/gnumeric/gnumeric-plugins-extra_1.5.3-1_i386.deb
gnumeric_1.5.3-1.diff.gz
  to pool/main/g/gnumeric/gnumeric_1.5.3-1.diff.gz
gnumeric_1.5.3-1.dsc
  to pool/main/g/gnumeric/gnumeric_1.5.3-1.dsc
gnumeric_1.5.3-1_i386.deb
  to pool/main/g/gnumeric/gnumeric_1.5.3-1_i386.deb
gnumeric_1.5.3.orig.tar.gz
  to pool/main/g/gnumeric/gnumeric_1.5.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 315625@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
J.H.M. Dassen (Ray) <jdassen@debian.org> (supplier of updated gnumeric package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 18 Aug 2005 10:04:22 +0200
Source: gnumeric
Binary: gnumeric-doc gnumeric-common gnumeric gnumeric-plugins-extra
Architecture: source i386 all
Version: 1.5.3-1
Distribution: unstable
Urgency: low
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: J.H.M. Dassen (Ray) <jdassen@debian.org>
Description: 
 gnumeric   - GNOME spreadsheet application
 gnumeric-common - common files for Gnumeric, the GNOME spreadsheet application
 gnumeric-doc - documentation for Gnumeric, the GNOME spreadsheet application
 gnumeric-plugins-extra - additional plugins for the GNOME spreadsheet
Closes: 195600 236024 238944 258964 276707 313746 315187 315625 317395
Changes: 
 gnumeric (1.5.3-1) unstable; urgency=low
 .
   * New upstream release.
   * The following issues have been fixed upstream:
     * Page settings, including paper orientation, are now restored properly on
       load. (Closes: #195600, #236024)
     * Blank pages with print and print preview with LANG="". (Closes: #238944)
     * Off-by-one errors on xspread import. (Closes: #258964)
     * Problems setting margins. (Closes: #276707)
     * Typos in German translation. (Closes: #313746)
     * Honour the quoting setting in configurable text export. (Closes: #315187)
     * IRR function misbehaving on some arguments. (Closes: #315625)
   * [ChangeLog, src/workbook-view.c] Applied fix from upstream CVS for ugly
     warning on xls save,
   * [doc/C/gnumeric-C.omf] Restored contents from upstream CVS.
   * [debian/rules] Temporarily disabled GDA and GnomeDB plugins; they require
     newer versions of those libraries than are currently available in sid.
   * [debian/control] Mention OASIS XML, OpenOffice.org XML, StarOffice in
     package description. (Closes: #317395)
     Bumped goffice build dependency per configure.in .
   * [debian/gnumeric.mime] Add entry for OpenOffice.org Calc.
   * [debian/copyright, debian/gnumeric-doc.copyright] Updated FSF's address.
Files: 
 43e0310dcb3af6cac52081cee6b86ed5 1320 math optional gnumeric_1.5.3-1.dsc
 a82ad2a1cf9828f2ceedcb5fdf10dcd1 16136048 math optional gnumeric_1.5.3.orig.tar.gz
 cbaaa7fb9c4e9a3fc8bf1cf180182b38 81869 math optional gnumeric_1.5.3-1.diff.gz
 64939cf65f2f370b8adeac79ba09f5c0 2902084 math optional gnumeric-common_1.5.3-1_all.deb
 bee365593fc4b343d0dee20024dbc6d9 4175776 doc optional gnumeric-doc_1.5.3-1_all.deb
 5b85da9c2e0e832afec56364e010738e 1969486 math optional gnumeric_1.5.3-1_i386.deb
 a792d9f58bc274c52ec497b3e8f425ff 140718 math optional gnumeric-plugins-extra_1.5.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDBE7CA+HB2Re6Rc4RAixsAKCOEnwA6OSPIkLXCa/1a8X50XUgKwCfX+qe
vGyCmtpWIBeuwUKIQGT+aEs=
=tUP9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 23:05:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:06:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.